Name: ettercap
Version: 0.7.3
Release: 14%{?dist}
Summary: Network traffic sniffer/analyser, NCURSES interface version
Group: Applications/Internet
License: GPL        
URL: http://ettercap.sourceforge.net
Source0: http://downloads.sourceforge.net/ettercap/ettercap-NG-%{version}.tar.gz
Source1: ettercap.desktop
Source2: ettercap-README.fedora
Patch0: ettercap-NG-0.7.3-UI.patch
BuildRoot: %{_tmppath}/%{name}-NG-%{version}-%{release}-root%(%{__id_u} -n)

BuildRequires: libnet-devel
BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: libpcap-devel
BuildRequires: libtool-ltdl-devel

Requires: ettercap-common = %{version}-%{release}
Requires(post): %{_sbindir}/alternatives
Requires(preun): %{_sbindir}/alternatives

%description
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis. 

This package contains the NCURSES version.

%package common
Summary: Common files for Ettercap, Network traffic sniffer/analyser
Group: Applications/Internet
Requires: ettercap = %{version}-%{release}

%description common
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis. 

This package contains files common to both the GTK and NCURSES versions.

%package gtk
Summary: Network traffic sniffer/analyser, gtk interface version
Group: Applications/Internet
Requires: ettercap-common = %{version}-%{release}
Requires(post): %{_sbindir}/alternatives
Requires(preun): %{_sbindir}/alternatives
Provides: ettercap = %{version}-%{release}

%description gtk
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis. 

This package contains the GTK version.

%package plugins
Summary: Network traffic sniffer/analyser, gtk interface version
Group: Applications/Internet
Requires: ettercap-common = %{version}-%{release}

%description plugins
Ettercap is a suite for man in the middle attacks on LAN. It features
sniffing of live connections, content filtering on the fly and many other
interesting tricks. It supports active and passive dissection of many
protocols (even ciphered ones) and includes many feature for network and host
analysis.

This package contains the available plugins.

%prep
%setup -q -n ettercap-NG-%{version}

%patch0 -p1

%build
%configure --enable-gtk
make %{?_smp_mflags}
cp src/ettercap src/ettercap-gtk
make clean
%configure --disable-gtk
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot}
install -c -m 755 src/ettercap-gtk %{buildroot}%{_bindir}
mv %{buildroot}%{_bindir}/ettercap %{buildroot}%{_bindir}/ettercap-tui
rm %{buildroot}%{_libdir}/ettercap/*.la
mkdir -p %{buildroot}%{_docdir}
install -c -m 644 %{SOURCE2} %{buildroot}%{_docdir}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 share/ettercap.png \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

%post
%{_sbindir}/alternatives --install  %{_bindir}/ettercap ettercap %{_bindir}/ettercap-tui 30 \
            --slave /usr/bin/ettercap-text ettercap-text /usr/bin/ettercap-tui \
            --slave  /usr/bin/ettercap-curses ettercap-curses /usr/bin/ettercap-tui

%preun
if [ "$1" = 0 ]; then
    %{_sbindir}/alternatives --remove ettercap %{_bindir}/ettercap-tui
fi

%post gtk
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%{_sbindir}/alternatives --install  %{_bindir}/ettercap ettercap %{_bindir}/ettercap-gtk 40 \
            --slave /usr/bin/ettercap-text ettercap-text /usr/bin/ettercap-gtk \
            --slave  /usr/bin/ettercap-curses ettercap-curses /usr/bin/ettercap-gtk


%preun gtk
if [ "$1" = 0 ]; then
    %{_sbindir}/alternatives --remove ettercap %{_bindir}/ettercap-gtk
fi

%postun gtk
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/ettercap-tui
%{_mandir}/man8/ettercap_curses.8.gz

%files common
%defattr(-,root,root,-)
%doc LICENSE AUTHORS CHANGELOG THANKS TODO* README doc/
%{_docdir}/ettercap-README.fedora
%config(noreplace) %{_sysconfdir}/etter.conf
%{_bindir}/etterfilter
%{_bindir}/etterlog
%{_datadir}/ettercap
%{_mandir}/man5/etter.conf.5.gz
%{_mandir}/man8/ettercap.8.gz
%{_mandir}/man8/etterfilter.8.gz
%{_mandir}/man8/etterlog.8.gz

%files gtk
%defattr(-,root,root,-)
%{_bindir}/ettercap-gtk
%{_datadir}/applications/fedora-ettercap.desktop
%{_datadir}/icons/hicolor/32x32/apps/ettercap.png

%files plugins
%defattr(-,root,root,-)
%{_mandir}/man8/ettercap_plugins.8.gz
%{_libdir}/ettercap

%changelog
* Fri Mar 23 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-14
- Alternatives fix by Manuel Wolfshant.
- re-ununified.spec.
- Please run rpm -e ettercap ettercap-gtk --noscripts before upgrading.
- Bump to unified FC5 compat.
* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-12
- Added ettercap-README.fedora
- Fixed Requires versioning.
* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-11
- Fixed several typos, clarified a few minor things.
* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-10
- Added doc and README.
- Replaced symlinks with alternatives solution.
* Thu Mar 15 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-9
- Removed libtool BR.
- Removed .la files.
- Moved plugins to subpackage.
- Re-added Provides to GTK package.
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-8
- Added libtool-ltdl-devel BR.
- Removed full path from desktop.
- Dropped provides from gtk package
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-7
- Fixed .desktop icon path
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-6
- Moved to consistent buildroot.
- Fixed BR, Rs.
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-5
- Removed dupes, moved symlinks for t and c to common only
- Moved desktop scriptlets to gtk package.
- Moved curses man page to curses package.
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-4
- Added Provides
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-3
- Updated BRs.
- Split out gtk and NCURSES versions from common package.
- Added UI patch from Till Maas, symlinks, .desktop, icon installation.
* Sat Mar 10 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-2
- Corrected Source URL.
* Sat Mar 10 2007 Jon Ciesla <limb@jcomserv.net> - 0.7.3-1
- Initial packaging.
